summaryrefslogtreecommitdiff
path: root/source4/heimdal_build/lexyacc.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2011-02-25 20:34:07 +1100
committerAndrew Bartlett <abartlet@samba.org>2011-02-25 11:46:56 +0100
commit80e23c68d83a7c9989f87d5a88a78bb76d222afc (patch)
tree534af1ca02724866bcf651b8f651c0bbde300220 /source4/heimdal_build/lexyacc.sh
parent22c407d8bd01d98498c1960b58b5d49d8dda8899 (diff)
downloadsamba-80e23c68d83a7c9989f87d5a88a78bb76d222afc.tar.gz
samba-80e23c68d83a7c9989f87d5a88a78bb76d222afc.tar.bz2
samba-80e23c68d83a7c9989f87d5a88a78bb76d222afc.zip
heimdal_build omit #line statments to allow valgrind to work again
The lex/yacc files were generated on Fedora 14, and have empty filenames in #line declarations. I don't know why this is, but it seems best just to omit the #line statements. This is what was causing Valgrind on Fedora not to run on Samba binaries and programs linked to Samba libraries. Andrew Bartlett Autobuild-User: Andrew Bartlett <abartlet@samba.org> Autobuild-Date: Fri Feb 25 11:46:56 CET 2011 on sn-devel-104
Diffstat (limited to 'source4/heimdal_build/lexyacc.sh')
-rwxr-xr-xsource4/heimdal_build/lexyacc.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/source4/heimdal_build/lexyacc.sh b/source4/heimdal_build/lexyacc.sh
index cee21668e5..db44e3e275 100755
--- a/source4/heimdal_build/lexyacc.sh
+++ b/source4/heimdal_build/lexyacc.sh
@@ -24,7 +24,8 @@ call_lex() {
cd $dir
- $LEX $lfile || exit 1
+ # --noline specified because line directives cause more bother than they solve (including possibly invalid DWARF headers if the filename ends up as "")
+ $LEX --noline $lfile || exit 1
if [ -r lex.yy.c ]; then
echo "#include \"config.h\"" > $base.c
@@ -59,7 +60,8 @@ call_yacc() {
cd $dir
- $YACC -d $yfile || exit 1
+ # -l specified because line directives cause more bother than they solve (including possibly invalid DWARF headers if the filename ends up as "")
+ $YACC -l -d $yfile || exit 1
if [ -r y.tab.h -a -r y.tab.c ];then
sed -e "/^#/!b" -e "s|y\.tab\.h|$SRC|" -e "s|\"$base.y|\"$SRC|" y.tab.h > $base.h
sed -e "s|y\.tab\.c|$SRC|" -e "s|\"$base.y|\"$SRC|" y.tab.c > $base.c